Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Delete a ChatKit thread

DELETE/chatkit/threads/{thread_id}

Delete a ChatKit thread along with its items and stored attachments.

Path ParametersExpand Collapse
thread_id: string
ReturnsExpand Collapse
id: string

Identifier of the deleted thread.

deleted: boolean

Indicates that the thread has been deleted.

object: "chatkit.thread.deleted"

Type discriminator that is always chatkit.thread.deleted.

Delete a ChatKit thread

curl https://api.openai.com/v1/chatkit/threads/$THREAD_ID \
    -X DELETE \
    -H 'OpenAI-Beta: chatkit_beta=v1' \
    -H "Authorization: Bearer $OPENAI_API_KEY"
{
  "id": "cthr_123",
  "object": "chatkit.thread.deleted",
  "deleted": true
}
Returns Examples
{
  "id": "cthr_123",
  "object": "chatkit.thread.deleted",
  "deleted": true
}